import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:sport/router/navigator_util.dart';

// 我的游戏
class MyNewGameItem extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return ClipRRect(
      borderRadius: BorderRadius.circular(20),
      child: Container(
        width: double.infinity,
        height: 60,
        child: Row(
          children: <Widget>[
            InkWell(
              child: Container(
                child: CachedNetworkImage(
                  imageUrl:
                      "https://ss1.bdstatic.com/70cFuXSh_Q1YnxGkpoWK1HF6hhy/it/u=2553120524,587873415&fm=26&gp=0.jpg",
                ),
              ),
              onTap: () {
                NavigatorUtil.goGameDetails(context);
              },
            ),
            Expanded(
              child: InkWell(
                child: Container(
                  padding: EdgeInsets.only(left: 10.0, right: 5.0),
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: <Widget>[
                      Text("游戏名字不止七个字"),
                      Text("游戏总时长105小时40分"),
                      Row(
                        children: <Widget>[
                          Text("最近打开"),
                          Text(
                            "2020.06.20.19",
                            style: TextStyle(color: Colors.blue),
                          )
                        ],
                      )
                    ],
                  ),
                ),
                onTap: () {
                  NavigatorUtil.goGameDetails(context);
                },
              ),
            ),
            Container(
              padding: EdgeInsets.symmetric(horizontal: 20.0),
              color: Colors.blue,
              alignment: Alignment.center,
              child: Text(
                "继续",
                style: TextStyle(color: Colors.white),
              ),
            )
          ],
        ),
      ),
    );
  }
}
